Index: stylesheets/lfs-xsl/docbook-xsl-1.78.1/slides/schema/relaxng/bibliography.rng
===================================================================
--- stylesheets/lfs-xsl/docbook-xsl-1.78.1/slides/schema/relaxng/bibliography.rng	(revision b1a51ac18a0ba70461444d4780d9fcdee3b5ce6d)
+++ stylesheets/lfs-xsl/docbook-xsl-1.78.1/slides/schema/relaxng/bibliography.rng	(revision b1a51ac18a0ba70461444d4780d9fcdee3b5ce6d)
@@ -0,0 +1,431 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!--
+  This file is part of DocBook V5.0
+  
+  Copyright 1992-2008 HaL Computer Systems, Inc.,
+  O'Reilly & Associates, Inc., ArborText, Inc., Fujitsu Software
+  Corporation, Norman Walsh, Sun Microsystems, Inc., and the
+  Organization for the Advancement of Structured Information
+  Standards (OASIS).
+  
+  Release: $Id: bibliography.rnc 8931 2010-10-20 13:29:20Z nwalsh $
+  
+  Permission to use, copy, modify and distribute the DocBook schema
+  and its accompanying documentation for any purpose and without fee
+  is hereby granted in perpetuity, provided that the above copyright
+  notice and this paragraph appear in all copies. The copyright
+  holders make no representation about the suitability of the schema
+  for any purpose. It is provided "as is" without expressed or implied
+  warranty.
+  
+  If you modify the DocBook schema in any way, label your schema as a
+  variant of DocBook. See the reference documentation
+  (http://docbook.org/tdg5/en/html/ch05.html#s-notdocbook)
+  for more information.
+  
+  Please direct all questions, bug reports, or suggestions for changes
+  to the docbook@lists.oasis-open.org mailing list. For more
+  information, see http://www.oasis-open.org/docbook/.
+  
+  ======================================================================
+-->
+<grammar ns="http://docbook.org/ns/docbook" xmlns:db="http://docbook.org/ns/docbook" xmlns:s="http://purl.oclc.org/dsdl/schematron" xmlns:rng="http://relaxng.org/ns/structure/1.0" xmlns:ctrl="http://nwalsh.com/xmlns/schema-control/" xmlns="http://relaxng.org/ns/structure/1.0" datatypeLibrary="http://www.w3.org/2001/XMLSchema-datatypes">
+  <start combine="choice">
+    <choice>
+      <ref name="db.bibliodiv"/>
+      <ref name="db.bibliolist"/>
+    </choice>
+  </start>
+  <define name="db.navigation.components" combine="choice">
+    <ref name="db.bibliography"/>
+  </define>
+  <define name="db.list.blocks" combine="choice">
+    <ref name="db.bibliolist"/>
+  </define>
+  <define name="db.info.elements" combine="choice">
+    <choice>
+      <ref name="db.bibliomisc"/>
+      <ref name="db.bibliomset"/>
+      <ref name="db.bibliorelation"/>
+      <ref name="db.biblioset"/>
+    </choice>
+  </define>
+  <define name="db.link.inlines" combine="choice">
+    <ref name="db.biblioref"/>
+  </define>
+  <!-- ====================================================================== -->
+  <define name="db.relation.attribute">
+    <attribute name="relation">
+      <db:refpurpose>Identifies the relationship between the bibliographic elemnts</db:refpurpose>
+    </attribute>
+  </define>
+  <!-- ====================================================================== -->
+  <div>
+    <db:refname>biblioentry</db:refname>
+    <db:refpurpose>A raw entry in a bibliography</db:refpurpose>
+    <define name="db.biblioentry.role.attribute">
+      <attribute name="role"/>
+    </define>
+    <define name="db.biblioentry.attlist">
+      <interleave>
+        <optional>
+          <ref name="db.biblioentry.role.attribute"/>
+        </optional>
+        <ref name="db.common.attributes"/>
+        <ref name="db.common.linking.attributes"/>
+      </interleave>
+    </define>
+    <define name="db.biblioentry">
+      <element name="biblioentry">
+        <ref name="db.biblioentry.attlist"/>
+        <oneOrMore>
+          <ref name="db.bibliographic.elements"/>
+        </oneOrMore>
+      </element>
+    </define>
+  </div>
+  <!-- ====================================================================== -->
+  <div>
+    <db:refname>bibliomixed</db:refname>
+    <db:refpurpose>A cooked entry in a bibliography</db:refpurpose>
+    <define name="db.bibliomixed.role.attribute">
+      <attribute name="role"/>
+    </define>
+    <define name="db.bibliomixed.attlist">
+      <interleave>
+        <optional>
+          <ref name="db.bibliomixed.role.attribute"/>
+        </optional>
+        <ref name="db.common.attributes"/>
+        <ref name="db.common.linking.attributes"/>
+      </interleave>
+    </define>
+    <define name="db.bibliomixed">
+      <element name="bibliomixed">
+        <ref name="db.bibliomixed.attlist"/>
+        <choice>
+          <zeroOrMore>
+            <choice>
+              <ref name="db._text"/>
+              <ref name="db.honorific"/>
+              <ref name="db.firstname"/>
+              <ref name="db.surname"/>
+              <ref name="db.lineage"/>
+              <ref name="db.othername"/>
+              <ref name="db.bibliographic.elements"/>
+            </choice>
+          </zeroOrMore>
+          <zeroOrMore>
+            <choice>
+              <ref name="db._text"/>
+              <ref name="db.honorific"/>
+              <ref name="db.givenname"/>
+              <ref name="db.surname"/>
+              <ref name="db.lineage"/>
+              <ref name="db.othername"/>
+              <ref name="db.bibliographic.elements"/>
+            </choice>
+          </zeroOrMore>
+        </choice>
+      </element>
+    </define>
+  </div>
+  <!-- ====================================================================== -->
+  <div>
+    <db:refname>biblioset</db:refname>
+    <db:refpurpose>A raw container for related bibliographic information</db:refpurpose>
+    <define name="db.biblioset.relation.attribute">
+      <ref name="db.relation.attribute"/>
+    </define>
+    <define name="db.biblioset.role.attribute">
+      <attribute name="role"/>
+    </define>
+    <define name="db.biblioset.attlist">
+      <interleave>
+        <optional>
+          <ref name="db.biblioset.role.attribute"/>
+        </optional>
+        <ref name="db.common.attributes"/>
+        <ref name="db.common.linking.attributes"/>
+        <optional>
+          <ref name="db.biblioset.relation.attribute"/>
+        </optional>
+      </interleave>
+    </define>
+    <define name="db.biblioset">
+      <element name="biblioset">
+        <ref name="db.biblioset.attlist"/>
+        <oneOrMore>
+          <ref name="db.bibliographic.elements"/>
+        </oneOrMore>
+      </element>
+    </define>
+  </div>
+  <!-- ====================================================================== -->
+  <div>
+    <db:refname>bibliomset</db:refname>
+    <db:refpurpose>A cooked container for related bibliographic information</db:refpurpose>
+    <define name="db.bibliomset.relation.attribute">
+      <ref name="db.relation.attribute"/>
+    </define>
+    <define name="db.bibliomset.role.attribute">
+      <attribute name="role"/>
+    </define>
+    <define name="db.bibliomset.attlist">
+      <interleave>
+        <optional>
+          <ref name="db.bibliomset.role.attribute"/>
+        </optional>
+        <ref name="db.common.attributes"/>
+        <ref name="db.common.linking.attributes"/>
+        <optional>
+          <ref name="db.bibliomset.relation.attribute"/>
+        </optional>
+      </interleave>
+    </define>
+    <define name="db.bibliomset">
+      <element name="bibliomset">
+        <ref name="db.bibliomset.attlist"/>
+        <choice>
+          <zeroOrMore>
+            <choice>
+              <ref name="db._text"/>
+              <ref name="db.honorific"/>
+              <ref name="db.firstname"/>
+              <ref name="db.surname"/>
+              <ref name="db.lineage"/>
+              <ref name="db.othername"/>
+              <ref name="db.bibliographic.elements"/>
+            </choice>
+          </zeroOrMore>
+          <zeroOrMore>
+            <choice>
+              <ref name="db._text"/>
+              <ref name="db.honorific"/>
+              <ref name="db.givenname"/>
+              <ref name="db.surname"/>
+              <ref name="db.lineage"/>
+              <ref name="db.othername"/>
+              <ref name="db.bibliographic.elements"/>
+            </choice>
+          </zeroOrMore>
+        </choice>
+      </element>
+    </define>
+  </div>
+  <!-- ====================================================================== -->
+  <div>
+    <db:refname>bibliomisc</db:refname>
+    <db:refpurpose>Untyped bibliographic information</db:refpurpose>
+    <define name="db.bibliomisc.role.attribute">
+      <attribute name="role"/>
+    </define>
+    <define name="db.bibliomisc.attlist">
+      <interleave>
+        <optional>
+          <ref name="db.bibliomisc.role.attribute"/>
+        </optional>
+        <ref name="db.common.attributes"/>
+        <ref name="db.common.linking.attributes"/>
+      </interleave>
+    </define>
+    <define name="db.bibliomisc">
+      <element name="bibliomisc">
+        <ref name="db.bibliomisc.attlist"/>
+        <ref name="db._text"/>
+      </element>
+    </define>
+  </div>
+  <!-- ====================================================================== -->
+  <div>
+    <db:refname>bibliography</db:refname>
+    <db:refpurpose>A bibliography</db:refpurpose>
+    <define name="db.bibliography.status.attrib">
+      <ref name="db.status.attribute"/>
+    </define>
+    <define name="db.bibliography.role.attribute">
+      <attribute name="role"/>
+    </define>
+    <define name="db.bibliography.attlist">
+      <interleave>
+        <optional>
+          <ref name="db.bibliography.role.attribute"/>
+        </optional>
+        <ref name="db.common.attributes"/>
+        <ref name="db.common.linking.attributes"/>
+        <optional>
+          <ref name="db.label.attribute"/>
+        </optional>
+        <optional>
+          <ref name="db.bibliography.status.attrib"/>
+        </optional>
+      </interleave>
+    </define>
+    <define name="db.bibliography.info">
+      <ref name="db._info"/>
+    </define>
+    <define name="db.bibliography">
+      <element name="bibliography">
+        <ref name="db.bibliography.attlist"/>
+        <ref name="db.bibliography.info"/>
+        <zeroOrMore>
+          <ref name="db.all.blocks"/>
+        </zeroOrMore>
+        <choice>
+          <oneOrMore>
+            <ref name="db.bibliodiv"/>
+          </oneOrMore>
+          <oneOrMore>
+            <choice>
+              <ref name="db.biblioentry"/>
+              <ref name="db.bibliomixed"/>
+            </choice>
+          </oneOrMore>
+        </choice>
+      </element>
+    </define>
+  </div>
+  <!-- ====================================================================== -->
+  <div>
+    <db:refname>bibliodiv</db:refname>
+    <db:refpurpose>A section of a bibliography</db:refpurpose>
+    <define name="db.bibliodiv.status.attrib">
+      <ref name="db.status.attribute"/>
+    </define>
+    <define name="db.bibliodiv.role.attribute">
+      <attribute name="role"/>
+    </define>
+    <define name="db.bibliodiv.attlist">
+      <interleave>
+        <optional>
+          <ref name="db.bibliodiv.role.attribute"/>
+        </optional>
+        <ref name="db.common.attributes"/>
+        <ref name="db.common.linking.attributes"/>
+        <optional>
+          <ref name="db.label.attribute"/>
+        </optional>
+        <optional>
+          <ref name="db.bibliodiv.status.attrib"/>
+        </optional>
+      </interleave>
+    </define>
+    <define name="db.bibliodiv.info">
+      <ref name="db._info.title.req"/>
+    </define>
+    <define name="db.bibliodiv">
+      <element name="bibliodiv">
+        <ref name="db.bibliodiv.attlist"/>
+        <ref name="db.bibliodiv.info"/>
+        <zeroOrMore>
+          <ref name="db.all.blocks"/>
+        </zeroOrMore>
+        <oneOrMore>
+          <choice>
+            <ref name="db.biblioentry"/>
+            <ref name="db.bibliomixed"/>
+          </choice>
+        </oneOrMore>
+      </element>
+    </define>
+  </div>
+  <!-- ====================================================================== -->
+  <div>
+    <db:refname>bibliolist</db:refname>
+    <db:refpurpose>A wrapper for a list of bibliography entries</db:refpurpose>
+    <define name="db.bibliolist.role.attribute">
+      <attribute name="role"/>
+    </define>
+    <define name="db.bibliolist.attlist">
+      <interleave>
+        <optional>
+          <ref name="db.bibliolist.role.attribute"/>
+        </optional>
+        <ref name="db.common.attributes"/>
+        <ref name="db.common.linking.attributes"/>
+      </interleave>
+    </define>
+    <define name="db.bibliolist.info">
+      <ref name="db._info.title.only"/>
+    </define>
+    <define name="db.bibliolist">
+      <element name="bibliolist">
+        <ref name="db.bibliolist.attlist"/>
+        <optional>
+          <ref name="db.bibliolist.info"/>
+        </optional>
+        <zeroOrMore>
+          <ref name="db.all.blocks"/>
+        </zeroOrMore>
+        <oneOrMore>
+          <choice>
+            <ref name="db.biblioentry"/>
+            <ref name="db.bibliomixed"/>
+          </choice>
+        </oneOrMore>
+      </element>
+    </define>
+  </div>
+  <!-- ====================================================================== -->
+  <div>
+    <db:refname>biblioref</db:refname>
+    <db:refpurpose>A cross-reference to a bibliographic entry</db:refpurpose>
+    <define name="db.biblioref.role.attribute">
+      <attribute name="role"/>
+    </define>
+    <define name="db.biblioref.xrefstyle.attribute">
+      <ref name="db.xrefstyle.attribute"/>
+    </define>
+    <define name="db.biblioref.endterm.attribute">
+      <ref name="db.endterm.attribute"/>
+    </define>
+    <define name="db.biblioref.units.attribute">
+      <attribute name="units">
+        <db:refpurpose>The units (for example, pages) used to identify the beginning and ending of a reference.</db:refpurpose>
+        <data type="token"/>
+      </attribute>
+    </define>
+    <define name="db.biblioref.begin.attribute">
+      <attribute name="begin">
+        <db:refpurpose>Identifies the beginning of a reference; the location within the work that is being referenced.</db:refpurpose>
+        <data type="token"/>
+      </attribute>
+    </define>
+    <define name="db.biblioref.end.attribute">
+      <attribute name="end">
+        <db:refpurpose>Identifies the end of a reference.</db:refpurpose>
+        <data type="token"/>
+      </attribute>
+    </define>
+    <define name="db.biblioref.attlist">
+      <interleave>
+        <optional>
+          <ref name="db.biblioref.role.attribute"/>
+        </optional>
+        <ref name="db.common.attributes"/>
+        <ref name="db.common.req.linking.attributes"/>
+        <optional>
+          <ref name="db.biblioref.xrefstyle.attribute"/>
+        </optional>
+        <optional>
+          <ref name="db.biblioref.endterm.attribute"/>
+        </optional>
+        <optional>
+          <ref name="db.biblioref.units.attribute"/>
+        </optional>
+        <optional>
+          <ref name="db.biblioref.begin.attribute"/>
+        </optional>
+        <optional>
+          <ref name="db.biblioref.end.attribute"/>
+        </optional>
+      </interleave>
+    </define>
+    <define name="db.biblioref">
+      <element name="biblioref">
+        <ref name="db.biblioref.attlist"/>
+        <empty/>
+      </element>
+    </define>
+  </div>
+</grammar>
